Bug 76366 - Evolution error "Cannot initialize the Evolution shell. Database configuration file not found" (or something like that)
Evolution error "Cannot initialize the Evolution shell. Database configuratio...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
8.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
http://support.ximian.com/cgi-bin/xim...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-20 18:35 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-09 21:57:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Terminal output of ls -lR /tmp/orbit-username (11.56 KB, text/plain)
2002-10-20 20:51 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-10-20 18:35:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Running in a stock RH KDE. Evolution will not start after launching, instead
returns the error "Cannot initialize the Evolution shell. Database configuration
file not found" (or something like that). On my system, a reboot will fix the
problem, but a login and out will not.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Login to gnome as root or regular user, run Evolution.
2.Log out, then login as a different user to KDE (maybe gnome too, I haven't
tried yet).
3.Try to execute Evolution, error message pops up.
4. Reboot, login as same user that couldn't run Evolution previously, run
Evolution, no problem.
	

Additional info:
Ximian's solutions (URL above) don't seem to be very useful to the average user,
and they don't seem to apply to RH8 anyway, so I haven't been able to test them.
Comment 1 Jeremy Katz 2002-10-20 19:42:23 EDT
When this happens can you run wombat from a terminal successfully?  If that
works, can you attach the output of `ls -lR /tmp/orbit-username*' and then see
if removing /tmp/orbit-username fixes the problem?
Comment 2 Need Real Name 2002-10-20 20:51:32 EDT
Created attachment 81226 [details]
Terminal output of ls -lR /tmp/orbit-username
Comment 3 Need Real Name 2002-10-20 20:56:44 EDT
I can run wombat after I get the Evolution error message. And if I remove the
/tmp/orbit-p directory, Evolution fires up just fine. So what's up with that?
Comment 4 Need Real Name 2002-10-25 19:41:30 EDT
It seems that deleting the tmp/orbit-username directory has the side effect of
causing gedit to crash on startup. Logging out and then back in fixes that problem.
Comment 5 John Franks 2002-11-03 17:46:05 EST
I have this problem also.  Here is some additional information.  The problem
occurs when I run evolution, iconify it, and log out WITHOUT EXITING evolution.
If I then login again and start evolution, I get the "Cannot initialize the
Evolution shell. Database configuration file not found" message.  I can produce
this reliably 100% of the time on one machine and never on another.

When the problem occurs oafd is running, wombat is not running.  Killing oafd
solves the problem.  So does removing /tmp/orbit-user.  A workaround I have used
is to put "killall oafd 2>/dev/null" in ~/.bash_profile.
Comment 6 Jeremy Katz 2003-02-09 21:57:33 EST
Haven't seen with newer orbit/oaf/evolution in rawhide

Note You need to log in before you can comment on or make changes to this bug.